Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to setup uWSGI for nginx on a default Amazon AMI Linux instance.

To do that, I need to install these libraries: libxml2-dev python2.6-dev python-libxml2

However, when I try a yum install, I get this:

Loaded plugins: fastestmirror, priorities, security
Loading mirror speeds from cached hostfile
 * rpmforge: apt.sw.be
amzn                                        | 2.1 kB     00:00     
rpmforge                                    | 1.1 kB     00:00     
rpmforge/primary                            | 2.2 MB     00:01     
rpmforge                                               10349/10349
Setting up Install Process
No package libxml2-dev available.
No package python2.6-dev available.
No package python-libxml2 available.
Error: Nothing to do

How do I proceed?

I installed rpmforge myself, but I don't know what other repos I can install that have these packages (I'm a linux noob)

Thanks!

share|improve this question
    
Maybe the packages have different names on EC2-Linux? You could search with yum for parts of the name to find the right ones: yum search libxml or yum search python. –  Axel Knauf Feb 22 '11 at 10:50

1 Answer 1

up vote 1 down vote accepted

Use Ubuntu or Debian. They are much easier(libxml2-dev python2.6-dev python-libxml2 are Debian packages)

In CentOS install python26-devel(EPEL) and libxml2-devel.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.